*{
    padding: 0;
    margin: 0;
}

hr {
    border: none;
    background-color: black;
    margin: 0 10px 0 10px;
    height: 2px;
}

body{
    width: 100%;
    height: 100%;
}

#navbar {
    height: 73px;
    background-color: #9a9aff;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    width: 100%;
}

.headButtons {
    cursor: pointer;
    text-decoration: none;
    display: inline-block;
    padding: 10px 30px;
    margin: 15px 20px;
    position: relative;
    overflow: hidden;
    border: 2px solid #4f4f93;
    border-radius: 8px;
    font-family: 'Roboto', sans-serif;
    background: #6d6dc1;
    color: #fff;
    transition: .2s ease-in-out;
}

.headButtons:hover {
    background: #4f4f93;
    color: #e8e8e8;
}

#deleteAll{
    float: right;
}

.conceptButton{
    position: relative;
    font-family: 'Roboto', sans-serif;
    border: 2px solid #787878;
    padding: 10px 20px;
    background: #2b2b2b;
    text-decoration: none;
    border-radius: 8px;
    color: #fff;
}

.conceptButton:hover{
    padding: 10px 20px;
    box-shadow: 0 0 16px -6px #000000;
    border-radius: 8px;
}

.conceptButton.sel{
    opacity:.6;
}

#classViewModalName{
    font-size: 24px;
    background-color: #a2a2f1;
    color: #fff;
}

#classCreationModalValues{
    margin: 1rem;
    font-family: Roboto, sans-serif;
    outline: none;
}

#formType{
    width: 50%;
    font-weight: lighter;
    font-size: 14px;
    border: none;
    font-family: Roboto, sans-serif;
    background-color: #a2a2f1;
    color: #fff;
    outline:none;
}

#deleteModalName{
    width: 90%;
    font-size: 24px;
    border: none;
    font-family: Roboto, sans-serif;
    background-color: #a2a2f1;
    color: #fff;
    outline:none;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
}
.modal-content {
    max-height: 40rem;
    font-family: Roboto, sans-serif;
    position: relative;
    background-color: #ffffff;
    margin: auto;
    padding: 0;
    width: 50%;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
}
.close {
    color: white;
    float: right;
    font-size: 28px;
}
.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}
.modal-header {
    padding: 10px 16px;
    background-color: #a2a2f1;
    color: white;
}
.modal-body {
    margin: 1rem;
    padding: 2px 16px;
}

.modal-footer {
    padding: 2px 16px;
    background-color: #a2a2f1;
    color: white;
}

#modifyBody{
    overflow: auto;
    height: 30rem;
}

#modalBody{
    overflow: auto;
    height: 30rem;
}

#modalValues{
    width: 446px;
    font-size: 24px;
    padding: 0.3rem;
    border-radius: 0;
    border: 1px solid black;
    margin: 1rem 1rem 1rem 0;
    font-family: Roboto, sans-serif;
    font-weight: lighter;
    outline: none;
}

#clean{
    cursor: pointer;
    text-decoration: none;
    display: inline-block;
    padding: 5px 15px;
    position: relative;
    border: 2px solid #4f4f93;
    border-radius: 8px;
    font-family: 'Roboto', sans-serif;
    background: #6d6dc1;
    color: #fff;
    transition: .2s ease-in-out;
}

#clean:hover{
    background: #fff;
    color: #000;
}

#addModalValues{
    cursor: pointer;
    text-decoration: none;
    display: inline-block;
    padding: 5px 15px;
    position: relative;
    border: 2px solid #4f4f93;
    border-radius: 8px;
    font-family: 'Roboto', sans-serif;
    background: #6d6dc1;
    color: #fff;
    transition: .2s ease-in-out;
}
#addModalValues:hover {
    background: #fff;
    color: #000;
}

#changeModalValues{
    cursor: pointer;
    text-decoration: none;
    display: none;
    padding: 5px 15px;
    position: relative;
    border: 2px solid #4f4f93;
    border-radius: 8px;
    font-family: 'Roboto', sans-serif;
    background: #6d6dc1;
    color: #fff;
    transition: .2s ease-in-out;
}
#changeModalValues:hover {
    background: #fff;
    color: #000;
}

#selectValues{
    width: 162px;
    margin: 1rem;
    font-family: 'Roboto', sans-serif;
    outline: none;
}

#line{
    position:absolute;
    width:0;
    height:0;
    background:rgba(0,90,255,0.25);
    border:1px solid rgba(0,114,255,0.5);
    box-sizing:border-box;
}


#areaName{
    font-size: 24px;
    border: none;
    font-family: 'Roboto', sans-serif;
    background-color: #313236;
    color: #fff;
    outline:none;
}

#formula{
    height: 55px;
    font-size: 2em;
    font-family: KaTeX_Main, serif;
    margin: 10px 5px 10px 25px;
}

.colorChanger{
    margin: 10px 0 10px 10px;
    background: #ffffff;
    border-radius: 4px;
}

.conceptArea{
    font-family: Roboto;
    width: 25rem;
    height: 20rem;
    display: block;
    border: 0.3rem solid black;
    border-radius: 75%;
    background: #484c4f;
}

#selectValues .ui-sortable-helper {
    box-shadow: rgba(0, 0, 0, 0.14) 10px 10px 10px -5px;
}

.draggable {
    cursor: move;
    user-select: none;
}



.active:hover{
    background: #a9a9e9;
}

.hoverLi:hover{
    background: #d0d0d0;
}

.navbarButton{
    padding: 10px 20px;
    border: none;
    font-family: "Roboto", sans-serif;
    background-color: transparent;
    cursor: pointer;
}

li {
    display: inline;
}

.submenu li{
    display: block;
    position: relative;
    color: #282828;
    font-size: 13px;
    border-bottom: 1px solid #CBCBCC;
}

nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
}
nav ul:after {
    content: "";
    display: table;
    clear: both;
}
nav a {
    text-decoration: none;
    display: block;
}
.topMenu > li {
    font-family: Roboto, sans-serif;
    float: left;
    position: relative;
}
.topMenu > li:first-child {font-family: Roboto, sans-serif; border-left: 0;}
.topMenu > li > a {
    font-family: Roboto, sans-serif;
    padding: 28px 70px;
    font-size: 14px;
    text-shadow: black 0 0 3px;
    color: #FEFDFD;
}

li{
    width: 196px;
}
.submenu {
    position: absolute;
    z-index: 10000;
    width: 194px;
    background: white;
    border-left: 1px solid #CBCBCC;
    border-right: 1px solid #CBCBCC;
    visibility: hidden;
    opacity: 0;
}
nav li:hover > .submenu {
    transform: rotateX(0deg);
    visibility: visible;
    opacity: 1;
}



.classList {
    max-height: 50px;
    width: 100%;
    margin: .5rem 0 0.5rem 0;
    border: 1px solid #dddddd;
    border-collapse: collapse;
}
.classList th {
    cursor: default;
    font-weight: lighter;
    padding: 5px;
    background: #cacaca;
    border: 1px solid #dddddd;
}
.classList td {
    cursor: pointer;
    border: 1px solid #dddddd;
    padding: 5px;
}
#classList tr:hover{
    background: #eaeaea;
    cursor: pointer;
}

#typeSelect{
    margin: .5rem 0 .5rem 0;
    padding: .5rem;
}

#sortButtonAZ{
    background: #ffffff;
    font-size: 20px;
    cursor: pointer;
    border: none;
    margin: .1rem;
}
#sortButtonZA{
    background: #ffffff;
    font-size: 20px;
    cursor: pointer;
    border: none;
    margin: .1rem;
}

.fContent{
    left: 490px;
    top: 240px;
    background: #efefef;
    position: absolute;
    border: 1px solid #000;
}

#functionsModal{
    z-index: 1001;
}

table tr td {
    padding-left: 0;
    padding-right: 0;
}

#function{
    margin: 1rem 0 1rem 0;
    background: #f0f0f0;
    justify-content: space-evenly;
    align-items: center;
    border: black solid 1px;
    cursor: pointer;
    position: relative;
    padding: .3rem;
}


.functionButton{
    margin:1px;
    font-family: "Times New Roman", sans-serif;
    background: #f0f0f0;
    width: 120px;
    height: 30px;
    font-size: 20px;
    cursor: pointer;
    border: none;
}

.functionButton:hover{
    box-shadow: 1px 1px 1px #696969, -1px -1px 1px #ffffff;
}

.functionButton:active{
    box-shadow: 1px 1px 1px #ffffff, -1px -1px 1px #696969;
}

.dropdownContent {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    overflow: auto;
    box-shadow: 1px 1px 1px #696969, -1px -1px 1px #ffffff;
    z-index: 1;
}

.lowerGreek{
    font-family: "Times New Roman", sans-serif;
}

.test{
    margin: 1px;
    padding: 3px;
    border: none;
    width: 20px;
    height: 25px;
    cursor: pointer;
}

.rowed{
    margin: 1px;
    display: flex;
    flex-direction: column;
}

.show{
    display: flex;
}

.test:hover{
    box-shadow: 1px 1px 1px #696969, -1px -1px 1px #ffffff;
}

.calculation{
    display: none;
    position: fixed;
}


.noSelect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.formModalName{
    margin: 8px 0 8px 0;
    width: 98%;
    font-size: 24px;
    border: none;
    font-family: Roboto, sans-serif;
    outline: 1px solid black;
}

.allModalName::placeholder{
    color: white;
}

.allModalName{
    width: 98%;
    font-size: 24px;
    border: none;
    font-family: Roboto, sans-serif;
    background-color:#a2a2f1;
    color: #ffffff;
    outline: none;
}

#relationClassList tr:hover{
    background: #eaeaea;
}

.selected{
    background: #b3b3b3;
}

.formControl{
    margin: 1rem;
    padding: 0.3rem;
    border-radius: 0;
    outline: none;
    border: 1px solid black;
}

#labelTypeSelect{
    width: 100px;
}

canvas {
    display: block;
}
